CentOS 6.x 升级 Git

1

准备

说明

公司服务器为centos,安装git后的默认版本是1.7.1,在执行git clone命令时报错如下:

    fatal: HTTP request failed

经过一番搜索终于找到可行的办法,即为升级git版本,升级时间比较长,需要比较好的网络支持.

git版本检测

CentOS下使用git --version 检测git的版本

# git --version
git version 1.7.1

系统检测

# cat /etc/redhat-release
CentOS release 6.5 (Final)
# uname -a
Linux rmhost 2.6.32-431.el6.x86_64 #1 SMP Fri Nov 22 03:15:09 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

通过以上信息可知系统版本为 CentOS 6.5 64位

升级

1.导入证书

# rpm --import http://apt.sw.be/RPM-GPG-KEY.dag.txt

2.安装RPMForge源

这里查找对应的版本,比如我这里根据系统版本选择了rpmforge-release-0.5.3-1.el6.rf.x86_64.rpm,右键拷贝地址, 粘贴到命令rpm -i命令后面执行

# rpm -i http://pkgs.repoforge.org/rpmforge-release/rpmforge-release-0.5.3-1.el6.rf.x86_64.rpm

package rpmforge-release-0.5.3-1.el6.rf.x86_64 is already installed

符合系统版本的文件可能有多个,选一个较新的即可.

3.更新rpmforge-extra源

# yum --enablerepo=rpmforge-extras update

途中会有选项Is this ok [y/N]:询问是否下载, 如果选了y会更新所有的软件到匹配的最新版本,包括git,如果选N也可以手动安装git到最新版

这里建议选择N,选y需要较长时间(我当前网速下测试为一小时左右),一些软件升级后可能需要重新配置才能起作用, 比如MySQL从5.1升级到了5.5, 由于未配置直接导致我在线的两个项目无法运行, 只能手忙脚乱的赶紧修改配置,如果你不幸出了同样的问题, 可以到文章末尾找到解决办法

4.查找符合系统的git版本

通过下面的命令查找(推荐)
    # yum --enablerepo=rpmforge-extras provides git
    git-1.7.12.4-1.el6.rfx.x86_64 : Git core and tools
    Repo        : installed
    匹配来自于:
    Other       : 提供依赖满足:git
或者在软件库中查找

这里找到系统能支持的git最新版本

5.安装git

# yum --enablerepo=rpmforge-extras install perl-Git-1.7.12.4-1.el6.rfx.x86_64.rpm 
# git --version
git version 1.7.12.4

MySQL升级后不能启动的解决办法

系统使用rpm源升级了所有软件, MySQL从5.1升级到了5.5, 启动的时候抛出异常:

MySQL Daemon failed to start.
正在启动 mysqld:                                   [失败]

原因:

MySQL升级之后,由于配置文件/etc/my.cnf还是原来5.1的,对5.5已经不适用了,所以出错

解决办法:

用MySQL-5.5的配置文件替换原来的/etc/my.cnf,具体操作

cp /usr/share/mysql/my-medium.cnf /etc/my.cnf

注意:MySQL配置模板文件共有5个:my-huge.cnf、my-innodb-heavy-4G.cnf、my-large.cnf、mymedium.cnf、my-small.cnf,根据自己的服务器硬件配置选择相应的模板文件即可

参考

CentOS升级git:

MySQL无法启动:

你可能感兴趣的

吴潇雄 · 2016年09月01日

rpm --import http://apt.sw.be/RPM-GPG-KEY.... 地址404了

回复

载入中...